# FDX68con
 FDX68 controller for FDX68
====

Overview

FDX68コントローラー(FDX68con)は、タッチパネルまたはマウスのみで、GIMONS氏によって
開発されたFDX68を操作することが出来るラップ型のGUIアプリケーションとなります。


## Requirement

### Raspberry Pi 3 Model B+
 Raspberry Pi 3 Model B/A+での動作実績があります。
 Raspberry Pi 4 Model Bは未確認です。
﻿
### SDカード　16G以上
﻿
 HDMIインターフェイスLCDディスプレイ(800x480以上)
 通常のHDMIモニタでも表示できると思います。（手持ち分は表示できました）
 USBタッチパネルがおすすめ。タッチパネルが無い場合は、マウスでも操作できます。
﻿
### [Raspbian Buster Lite](https://www.raspberrypi.org/downloads/)
 （Version:February 2020,Release date:2020-02-13）
﻿
### [Qt 5.12.7 LTS](http://download.qt.io/official_releases/qt/5.12/5.12.7/single/qt-everywhere-src-5.12.7.tar.xz)
﻿
### [FDX68](http://retropc.net/gimons/fdx68/)
 FDX68とは、GIMONS氏によってフロッピーディスクドライブの環境を改善するために
 開発されたハードウェアとソフトウェアの総称です。
﻿
### [RaspberryPi/FDX68セットアップシェルスクリプト](https://github.com/ztto/fdx68-php)
 zα2氏によって制作されたRaspberry Pi の初期設定を行うシェルスクリプトです。
﻿
### [FDX68 for php](https://github.com/ztto/fdx68-php)
 zα2氏によって制作されたFDX68をブラウザベースで使えるようにしたものです。


## Contents
 FDX68con             --- FDX68コントローラ本体（実行モジュール）
 README.md            --- 本ファイル
 install_FDX68con.sh  --- インストールシェルスクリプト


## Installation & Information

 インストール方法　及び　FDX68conに関連する情報については、下記URLを見て下さい。
 https://www.michaels-home.com/title/fdx68con-setup/


## Licence

  FDX68コントローラー（以下FDX68conと呼ぶ）は、GNU Lesser General Public License
  （以下LGPLと呼ぶ）で提供されているQt 5.12.7 LTSを使用して開発されたソフトウェア
  となります。
  Qtで提供されるライブラリを改変したり、静的リンクは行っていないこともあり、
  FDX68conのライセンスは、MIT Licenseとします。

  ライセンスの内容については、「FDX68コントローラ(FDX68con)」の配布ファイル内にある
  README.mdに記載したURL、または、下記URLより確認できます。

  [MIT license](https://ja.osdn.net/projects/opensource/wiki/licenses%2FMIT_license)

  FDX68conは無保証となります。
  また、FDX68conの使用により生じたいかなる損害に対しても責任を持ちません。

## Author

 Copyright (C) 2020 Michael.

